Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge -pv dev-texlive/texlive-langgerman
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Farnelius
n00b
n00b


Joined: 12 Aug 2009
Posts: 27

PostPosted: Wed Dec 30, 2009 12:44 pm    Post subject: emerge -pv dev-texlive/texlive-langgerman Reply with quote

Liebe Helferinnen und Helfer,

könnt ihr mir vielleicht helfen folgende Blockade zu beseitigen?

Quote:
euklid@archimedes ~ $ emerge -pv dev-texlive/texlive-langgerman

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-libs/gmp-4.3.1 [4.2.4] USE="-nocxx" 1,838 kB
[ebuild U ] app-portage/portage-utils-0.2.1 [0.1.29] 87 kB
[ebuild U ] sys-devel/autoconf-wrapper-7 [6] 0 kB
[ebuild N ] app-misc/mime-types-8 12 kB
[ebuild U ] sys-libs/timezone-data-2009s [2009m] USE="nls" 367 kB
[ebuild U ] media-libs/jpeg-7 [6b-r8] 950 kB
[ebuild U ] media-libs/libpng-1.2.40 [1.2.38] 616 kB
[ebuild U ] app-shells/bash-4.0_p35 [4.0_p28] USE="net nls -afs -bashlogger
-examples -mem-scramble% -plugins -vanilla" 13 kB
[ebuild U ] sys-apps/coreutils-7.5-r1 [7.4] USE="acl nls -caps -gmp (-selinu
x) -static -vanilla -xattr" 9,731 kB
[ebuild U ] dev-libs/popt-1.15 [1.14] USE="nls" 651 kB
[ebuild U ] sys-devel/gcc-4.3.4 [4.3.2-r3] USE="fortran gtk mudflap nls nptl
openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj (-hardened) -ip28
-ip32r10k (-libffi) (-multilib) -multislot (-n32) (-n64) -nocxx -nopie -objc -ob
jc++ -objc-gc -test -vanilla" 58,060 kB
[ebuild U ] app-admin/eselect-1.2.8 [1.2.3] USE="-bash-completion -doc" 151
kB
[ebuild U ] sys-libs/gdbm-1.8.3-r4 [1.8.3-r3] USE="berkdb" 224 kB
[ebuild U ] dev-lang/perl-5.8.8-r8 [5.8.8-r5] USE="berkdb gdbm -build -debug
-doc -ithreads -perlsuid" 0 kB
[ebuild U ] sys-apps/util-linux-2.16.1 [2.14.2] USE="crypt nls perl%* unicod
e -loop-aes -old-linux (-selinux) -slang (-uclibc)" 3,408 kB
[ebuild U ] dev-perl/Locale-gettext-1.05-r1 [1.05] 0 kB
[ebuild U ] sys-apps/help2man-1.36.4-r1 [1.36.4] USE="nls" 0 kB
[ebuild U ] sys-devel/libtool-2.2.6b [2.2.6a] USE="-test -vanilla" 722 kB
[ebuild U ] sys-libs/readline-6.0_p4 [6.0_p3] 2 kB
[ebuild N ] dev-libs/libffi-3.0.8 USE="-debug -static-libs -test" 706 kB
[ebuild U ] x11-misc/util-macros-1.3.0 [1.2.1] 51 kB
[ebuild U ] x11-proto/xproto-7.0.16 [7.0.14] 157 kB
[ebuild U ] x11-proto/inputproto-1.5.1 [1.5.0] 61 kB
[ebuild U ] x11-proto/kbproto-1.0.4 [1.0.3] 103 kB
[ebuild U ] x11-libs/xtrans-1.2.5 [1.2.3] USE="-debug" 139 kB
[ebuild N ] virtual/libffi-0 0 kB
[ebuild U ] x11-proto/fontsproto-2.1.0 [2.0.2] 56 kB
[ebuild U ] x11-proto/bigreqsproto-1.1.0 [1.0.2] 48 kB
[ebuild U ] x11-proto/xf86bigfontproto-1.2.0 [1.1.2] 49 kB
[ebuild U ] x11-proto/xcmiscproto-1.2.0 [1.1.2] 48 kB
[ebuild U ] dev-lang/lua-5.1.4-r4 [5.1.4] USE="deprecated readline -emacs% -
static" 0 kB
[ebuild U ] x11-libs/libXau-1.0.5 [1.0.4] USE="-debug" 245 kB
[ebuild U ] x11-libs/libXdmcp-1.0.3 [1.0.2] USE="-debug" 251 kB
[ebuild U ] x11-proto/xextproto-7.0.5 [7.0.4] 79 kB
[ebuild U ] x11-libs/libICE-1.0.6 [1.0.4] USE="ipv6 -debug" 273 kB
[ebuild U ] x11-libs/libfontenc-1.0.5 [1.0.4] USE="-debug" 245 kB
[ebuild U ] x11-libs/libSM-1.1.1 [1.1.0] USE="ipv6 uuid%* -debug" 257 kB
[ebuild U ] dev-libs/openssl-0.9.8l-r2 [0.9.8k] USE="zlib -bindist -gmp -ker
beros -sse2 -test" 4,082 kB
[ebuild U ] dev-lang/python-2.6.4 [2.6.2-r1] USE="berkdb gdbm ipv6 ncurses r
eadline ssl threads (wide-unicode%*) xml -build -doc -examples -sqlite -tk -wini
nst (-ucs2%)" 10,997 kB
[ebuild U ] dev-java/java-config-2.1.9-r2 [2.1.8-r1] 56 kB
[ebuild U ] dev-libs/libxslt-1.1.26 [1.1.24-r1] USE="crypt python -debug (-e
xamples%)" 3,322 kB
[ebuild U ] x11-proto/xcb-proto-1.5 [1.1] 88 kB
[ebuild U ] x11-libs/libxcb-1.4-r1 [1.1] USE="-debug -doc (-selinux)" 299 kB
[ebuild U ] x11-libs/libX11-1.2.2 [1.1.5] USE="ipv6 xcb* -debug" 1,833 kB
[ebuild U ] x11-libs/libXext-1.0.5 [1.0.4] USE="-debug" 265 kB
[ebuild U ] x11-libs/libXt-1.0.7-r1 [1.0.5] USE="-debug" 547 kB
[ebuild U ] x11-libs/libXmu-1.0.5 [1.0.4] USE="ipv6 -debug" 316 kB
[ebuild U ] x11-libs/libXfont-1.4.1 [1.3.4] USE="ipv6 -debug" 419 kB
[ebuild U ] x11-libs/libXpm-3.5.8 [3.5.7] USE="nls%* -debug" 383 kB
[ebuild U ] dev-java/sun-jdk-1.6.0.17 [1.6.0.15] USE="X alsa -derby -doc -ex
amples -jce -nsplugin -odbc" 79,907 kB
[ebuild U ] x11-libs/libXaw-1.0.7 [1.0.5] USE="-debug -doc%" 585 kB
[ebuild U ] dev-texlive/texlive-basic-2008-r1 [2008] USE="-doc -source" 0 kB
[ebuild N ] dev-texlive/texlive-langgerman-2008 USE="-doc -source" 141 kB
[blocks B ] <sys-fs/e2fsprogs-1.41.8 ("<sys-fs/e2fsprogs-1.41.8" is blocking
sys-apps/util-linux-2.16.1)
[blocks B ] <sys-libs/e2fsprogs-libs-1.41.8 ("<sys-libs/e2fsprogs-libs-1.41.
8" is blocking sys-apps/util-linux-2.16.1)

Total: 53 packages (49 upgrades, 4 new), Size of downloads: 182,820 kB
Conflict: 2 blocks (2 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('installed', '/', 'sys-libs/e2fsprogs-libs-1.41.3-r1', 'nomerge') pulled in b
y
~sys-libs/e2fsprogs-libs-1.41.3 required by ('installed', '/', 'sys-fs/e2fsp
rogs-1.41.3-r1', 'nomerge')
>=sys-libs/e2fsprogs-libs-1.41 required by ('installed', '/', 'sys-fs/crypts
etup-1.0.6-r2', 'nomerge')

('installed', '/', 'sys-fs/e2fsprogs-1.41.3-r1', 'nomerge') pulled in by
sys-fs/e2fsprogs required by system
sys-fs/e2fsprogs required by world

('ebuild', '/', 'sys-apps/util-linux-2.16.1', 'merge') pulled in by
sys-apps/util-linux required by world
>=sys-apps/util-linux-2.16 required by ('ebuild', '/', 'x11-libs/libSM-1.1.1 ', 'merge')
sys-apps/util-linux required by system
(and 1 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


Würde mich sehr freuen. Wisst ihr, ob man mit diesem Packet ngerman.sty gleichzeitig installiert hat?
Vielen Dank.

Herzlichst
Steven
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2040
Location: My own world! I and Gentoo!

PostPosted: Wed Dec 30, 2009 12:58 pm    Post subject: Reply with quote

Quote:
Code:
('installed', '/', 'sys-libs/e2fsprogs-libs-1.41.3-r1', 'nomerge') pulled in b
y
~sys-libs/e2fsprogs-libs-1.41.3 required by ('installed', '/', 'sys-fs/e2fsp
rogs-1.41.3-r1', 'nomerge')
>=sys-libs/e2fsprogs-libs-1.41 required by ('installed', '/', 'sys-fs/crypts
etup-1.0.6-r2', 'nomerge')


So wie sich das liest sollte es reichen cryptsetup zu deinstallieren (emerge -C <paket>)

Und ganz wichtig deine Worldfile nicht mit Sachen "belästigen" die per Abhängigkeiten dazumüssen.

Quote:
Code:
('installed', '/', 'sys-fs/e2fsprogs-1.41.3-r1', 'nomerge') pulled in by
sys-fs/e2fsprogs required by world
[...]

('ebuild', '/', 'sys-apps/util-linux-2.16.1', 'merge') pulled in by
sys-apps/util-linux required by world
[...]


Also wenn du etwas remergen (reinstallieren) musst den Schalter -1 noch dazugeben. (-1 == --oneshot == Nicht in World-file eintragen)
Das sieht dann z.B. so aus. emerge -a1 <paket>

Also einmal die worldfile ausmisten (/usr/lib/portage/world) und die Einträge für sys-fs/e2fsprogs und sys-apps/util-linux entfernen ^^

PS:
Wenn du Hilfe bei solchen Blocks brauchst hilft es meistens die Darstellung als Baum zu verwenden: emerge -avuDN --tree (-t) @world
(Das @ brauchst du bei >portage-2.2)
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
Farnelius
n00b
n00b


Joined: 12 Aug 2009
Posts: 27

PostPosted: Wed Dec 30, 2009 3:23 pm    Post subject: Reply with quote

Wo befindet sich das file, welches ich ausmisten soll.
Ich finde es nicht unter /usr/lib/portage/world.
Was soll ich tun?
Back to top
View user's profile Send private message
Hollowman
Guru
Guru


Joined: 19 Apr 2007
Posts: 584

PostPosted: Wed Dec 30, 2009 3:49 pm    Post subject: Reply with quote

Das world File liegt unter /var/lib/portage/ .

Sebastian
Back to top
View user's profile Send private message
Farnelius
n00b
n00b


Joined: 12 Aug 2009
Posts: 27

PostPosted: Sat Jan 02, 2010 6:15 pm    Post subject: Reply with quote

Ich kann die world file nicht ausmisten, da die entsprechenden Zeilen nicht eingetragen sind.

Quote:

app-arch/unzip
app-arch/zip
app-editors/kile
app-misc/screen
app-office/lyx
app-office/openoffice
app-office/texmaker
app-portage/eix
app-portage/gentoolkit
app-portage/portage-utils
dev-texlive/texlive-formatsextra
dev-texlive/texlive-langgreek
dev-texlive/texlive-latexextra
kde-base/ark
kde-base/kate
kde-base/kdebase-startkde
kde-base/konsole
kde-base/kpdf
mail-client/mozilla-thunderbird
media-libs/jpgalleg
media-sound/alsa-utils
media-sound/amarok
net-im/pidgin
net-misc/dhcpcd
sys-boot/grub
sys-kernel/gentoo-sources
sys-process/vixie-cron
www-client/links
www-client/mozilla-firefox
www-plugins/adobe-flash
x11-base/xorg-x11
x11-libs/cairo

Keine Ahnung was ich tun soll?
Back to top
View user's profile Send private message
Farnelius
n00b
n00b


Joined: 12 Aug 2009
Posts: 27

PostPosted: Sun Jan 17, 2010 11:23 am    Post subject: Reply with quote

Kann es sein, dass es daran liegt, dass ich noch KDE 3.5.10 habe und zur Zeit alles andere nur noch für KDE 4.x.x verfügbar ist?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum